Compatibility Matrix for Unified CCE

From DocWiki

(Difference between revisions)
Jump to: navigation, search
m (1 revision)
Line 3: Line 3:
'''Go to:''' [[:Category:Unified Contact Center Enterprise|'''Category:Unified Contact Center Enterprise''']]  
'''Go to:''' [[:Category:Unified Contact Center Enterprise|'''Category:Unified Contact Center Enterprise''']]  
-
<br>  
+
<br>
----
----
Line 10: Line 10:
|-
|-
! style="background-color: rgb(255,255,204); color: green" |  
! style="background-color: rgb(255,255,204); color: green" |  
-
'''<font size="3">Introduction</font>'''<font size="3"></font>  
+
'''<font size="3">Introduction</font>'''<font size="3"></font>
|-
|-
Line 22: Line 22:
::#To start a different thread under a new subheading on the Discussion page, click the '''+''' tab at the top of the page instead of the Edit tab.
::#To start a different thread under a new subheading on the Discussion page, click the '''+''' tab at the top of the page instead of the Edit tab.
-
<br>  
+
<br>
|-
|-
Line 31: Line 31:
::#Click the '''watch''' tab at the top of the page.
::#Click the '''watch''' tab at the top of the page.
-
<br>  
+
<br>
|-
|-
|  
|  
-
'''Information will be added and updated on a regular basis, with an emphasis on applying, expanding, and clarifying the content.<br>'''  
+
'''Information will be added and updated on a regular basis, with an emphasis on applying, expanding, and clarifying the content.<br>'''
|-
|-
! style="background-color: rgb(255,255,204); color: green" |  
! style="background-color: rgb(255,255,204); color: green" |  
-
'''<font size="3">Navigation</font>'''  
+
'''<font size="3">Navigation</font>'''
|-
|-
Line 45: Line 45:
|-
|-
|  
|  
-
<br>  
+
<br>
-
:*[[Unified CCE Software Compatibility Matrix for 8.5(1)|<font size="3">'''Unified CCE Software Compatibility Matrix for 8.5(x)'''</font>]]
+
:*[[Unified CCE Software Compatibility Matrix for 8.5(x)|<font size="3">'''Unified CCE Software Compatibility Matrix for 8.5(x)'''</font>]]
:*[[Unified CCE Software Compatibility Matrix for 8.0(x)|<font size="3">'''Unified CCE Software Compatibility Matrix for 8.0(x)'''</font>]]<br>
:*[[Unified CCE Software Compatibility Matrix for 8.0(x)|<font size="3">'''Unified CCE Software Compatibility Matrix for 8.0(x)'''</font>]]<br>
Line 53: Line 53:
:*[[Unified CCE Software Compatibility Matrix for ALL 7.x Releases|<font size="3">'''Unified CCE Software Compatibility Matrix for ALL 7.x Releases'''</font>]]
:*[[Unified CCE Software Compatibility Matrix for ALL 7.x Releases|<font size="3">'''Unified CCE Software Compatibility Matrix for ALL 7.x Releases'''</font>]]
-
<br>  
+
<br>
|}
|}
-
<br>  
+
<br>
= General Compatibility information for CCE  =
= General Compatibility information for CCE  =
-
The following sections contain compatibility information that applies to all versions of CCE.<br><br>  
+
The following sections contain compatibility information that applies to all versions of CCE.<br><br>
{| style="width: 1043px; height: 310px" border="1" cellspacing="1" cellpadding="1"
{| style="width: 1043px; height: 310px" border="1" cellspacing="1" cellpadding="1"
|-
|-
-
! style="background-color: rgb(255,255,204); color: green" | For Information on<br>  
+
! style="background-color: rgb(255,255,204); color: green" | For Information on<br>
! style="background-color: rgb(255,255,204); color: green" | Scope/Further Reading<br>
! style="background-color: rgb(255,255,204); color: green" | Scope/Further Reading<br>
|-
|-
Line 74: Line 74:
| valign="top" | This document lists component versions supported for new installs and full upgrades. It does not list component versions that may be temporarily supported during an upgrade period. Consult the [http://www.cisco.com/en/US/products/sw/custcosw/ps1844/prod_installation_guides_list.html Upgrade Guide for ICM and CTI OS for Cisco Unified Contact Center Enterprise] for your Unified CCE version for a list of any additional component versions supported during upgrade.
| valign="top" | This document lists component versions supported for new installs and full upgrades. It does not list component versions that may be temporarily supported during an upgrade period. Consult the [http://www.cisco.com/en/US/products/sw/custcosw/ps1844/prod_installation_guides_list.html Upgrade Guide for ICM and CTI OS for Cisco Unified Contact Center Enterprise] for your Unified CCE version for a list of any additional component versions supported during upgrade.
|-
|-
-
| valign="top" | OS and Third-Party Software Compatibility <br>  
+
| valign="top" | OS and Third-Party Software Compatibility <br>
-
| valign="top" | To verify operating system, database, and third-party software (that is, anti-virus, Web browser, remote administration) compatibility, consult the [http://www.cisco.com/en/US/products/sw/custcosw/ps1844/products_implementation_design_guides_list.html Hardware &amp; System Software Specification (Bill of Materials) for Cisco Unified ICM/Contact Center Enterprise &amp; Hosted] specific to your Unified CCE version.<br>  
+
| valign="top" | To verify operating system, database, and third-party software (that is, anti-virus, Web browser, remote administration) compatibility, consult the [http://www.cisco.com/en/US/products/sw/custcosw/ps1844/products_implementation_design_guides_list.html Hardware &amp; System Software Specification (Bill of Materials) for Cisco Unified ICM/Contact Center Enterprise &amp; Hosted] specific to your Unified CCE version.<br>
-
*The [http://www.cisco.com/en/US/products/sw/voicesw/ps556/tsd_products_support_series_home.html Cisco Unified Communications Manager Compatibility Matrix] and related support information. <br>  
+
*The [http://www.cisco.com/en/US/products/sw/voicesw/ps556/tsd_products_support_series_home.html Cisco Unified Communications Manager Compatibility Matrix] and related support information. <br>
*See also the [http://www.cisco.com/en/US/partner/prod/collateral/voicesw/custcosw/ps5694/ps3651/prod_bulletin09186a0080207fb9_ps1844_Products_Bulletin.html Third Pary Support Policy Bulletin ].
*See also the [http://www.cisco.com/en/US/partner/prod/collateral/voicesw/custcosw/ps5694/ps3651/prod_bulletin09186a0080207fb9_ps1844_Products_Bulletin.html Third Pary Support Policy Bulletin ].
|-
|-
-
| valign="top" | Unified CCE Component End of Life Notices <br>  
+
| valign="top" | Unified CCE Component End of Life Notices <br>
| valign="top" | Find out when a Cisco product has reached its [http://www.cisco.com/en/US/products/sw/custcosw/ps1844/prod_eol_notices_list.html End of Life] and what product upgrade and substitution options.  
| valign="top" | Find out when a Cisco product has reached its [http://www.cisco.com/en/US/products/sw/custcosw/ps1844/prod_eol_notices_list.html End of Life] and what product upgrade and substitution options.  
-
Because this guide lists component versions until they reach last-date-of-support (the final stage in the end-of-life process) some of the component versions listed herein may have reached end-of-sale or end-of-software-maintenance-release.  
+
Because this guide lists component versions until they reach last-date-of-support (the final stage in the end-of-life process) some of the component versions listed herein may have reached end-of-sale or end-of-software-maintenance-release.
|}
|}
-
<br>  
+
<br>
== General Compatibility Notes and Limitations  ==
== General Compatibility Notes and Limitations  ==
Line 108: Line 108:
|}
|}
-
<br>  
+
<br>
-
= Unified CCE Parent / Child Compatibility<br> =
+
= Unified CCE Parent / Child Compatibility<br> =
{| border="1" cellspacing="1" cellpadding="1" width="644"
{| border="1" cellspacing="1" cellpadding="1" width="644"
|-
|-
-
! style="background-color: rgb(255,255,204); color: green" | Release<br>  
+
! style="background-color: rgb(255,255,204); color: green" | Release<br>
! style="background-color: rgb(255,255,204); color: green" | Parent 7.0(x)  
! style="background-color: rgb(255,255,204); color: green" | Parent 7.0(x)  
! style="background-color: rgb(255,255,204); color: green" | Parent 7.1(x)  
! style="background-color: rgb(255,255,204); color: green" | Parent 7.1(x)  
Line 123: Line 123:
|-
|-
! style="background-color: rgb(255,255,204); color: green" | '''Child 7.0(x)'''  
! style="background-color: rgb(255,255,204); color: green" | '''Child 7.0(x)'''  
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
-
| align="center" | No<br>  
+
| align="center" | No<br>
-
| align="center" | No<br>  
+
| align="center" | No<br>
-
| align="center" | No<br>  
+
| align="center" | No<br>
| align="center" | No
| align="center" | No
|-
|-
! style="background-color: rgb(255,255,204); color: green" | '''Child 7.1(x)'''  
! style="background-color: rgb(255,255,204); color: green" | '''Child 7.1(x)'''  
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
-
| align="center" | No<br>  
+
| align="center" | No<br>
-
| align="center" | No<br>  
+
| align="center" | No<br>
| align="center" | No<br>
| align="center" | No<br>
|-
|-
! style="background-color: rgb(255,255,204); color: green" | '''Child 7.2(x)'''  
! style="background-color: rgb(255,255,204); color: green" | '''Child 7.2(x)'''  
-
| align="center" | No<br>  
+
| align="center" | No<br>
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
| align="center" | &nbsp;No<br>
| align="center" | &nbsp;No<br>
|-
|-
! style="background-color: rgb(255,255,204); color: green" | '''Child 7.5(x)'''  
! style="background-color: rgb(255,255,204); color: green" | '''Child 7.5(x)'''  
-
| align="center" | No<br>  
+
| align="center" | No<br>
-
| align="center" | No<br>  
+
| align="center" | No<br>
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
| align="center" | Yes<br>
| align="center" | Yes<br>
|-
|-
! style="background-color: rgb(255,255,204); color: green" | '''Child 8.0(x)'''  
! style="background-color: rgb(255,255,204); color: green" | '''Child 8.0(x)'''  
-
| align="center" | No<br>  
+
| align="center" | No<br>
-
| align="center" | No<br>  
+
| align="center" | No<br>
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
| align="center" | Yes<br>
| align="center" | Yes<br>
|-
|-
! style="background-color: rgb(255,255,204); color: green" | '''Child 8.5(x)'''  
! style="background-color: rgb(255,255,204); color: green" | '''Child 8.5(x)'''  
-
| align="center" | No<br>  
+
| align="center" | No<br>
-
| align="center" | No<br>  
+
| align="center" | No<br>
-
| align="center" | No<br>  
+
| align="center" | No<br>
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
-
| align="center" | Yes<br>  
+
| align="center" | Yes<br>
| align="center" | Yes<br>
| align="center" | Yes<br>
|}
|}
-
<br>  
+
<br>
-
= Central Controller Backward Compatibility<br> =
+
= Central Controller Backward Compatibility<br> =
{| border="1" cellspacing="1" cellpadding="1" width="600"
{| border="1" cellspacing="1" cellpadding="1" width="600"
Line 210: Line 210:
|}
|}
-
<br>  
+
<br>
'''Note:''' Backward compatible PGs are intended to be supported during the transition when you upgrade the Central Controller and PGs to the same version.  
'''Note:''' Backward compatible PGs are intended to be supported during the transition when you upgrade the Central Controller and PGs to the same version.  
Line 255: Line 255:
|}
|}
-
<br>  
+
<br>
-
= Application Virtualization<br> =
+
= Application Virtualization<br> =
{| border="1" cellspacing="1" cellpadding="1" width="800"
{| border="1" cellspacing="1" cellpadding="1" width="800"
Line 278: Line 278:
*For information about CAD wih thin client and virtual desktop environments, see the Integrating CAD with Thin Client and Virtual Desktop Environments document.
*For information about CAD wih thin client and virtual desktop environments, see the Integrating CAD with Thin Client and Virtual Desktop Environments document.
-
<br>  
+
<br>
-
= Siebel Compatibility<br> =
+
= Siebel Compatibility<br> =
{{note| The Siebel Driver and CTIOS Server versions should be the same.}}  
{{note| The Siebel Driver and CTIOS Server versions should be the same.}}  
-
<br>  
+
<br>
{| border="1" cellspacing="1" cellpadding="1" width="298"
{| border="1" cellspacing="1" cellpadding="1" width="298"
|-
|-
-
! style="background-color: rgb(255,255,204); color: green" | Cisco Siebel Driver <br>  
+
! style="background-color: rgb(255,255,204); color: green" | Cisco Siebel Driver <br>
! style="background-color: rgb(255,255,204); color: green" | Siebel Release<br>
! style="background-color: rgb(255,255,204); color: green" | Siebel Release<br>
|-
|-
Line 313: Line 313:
|}
|}
-
<br>  
+
<br>
= ICM-to-ICM Gateway Requirements  =
= ICM-to-ICM Gateway Requirements  =
Line 326: Line 326:
*An ICM communication network configuration that can support ICM-to-ICM Gateway. TheSignaling Access Network (SAN)/Public network is strongly recommended.
*An ICM communication network configuration that can support ICM-to-ICM Gateway. TheSignaling Access Network (SAN)/Public network is strongly recommended.
-
'''Note:''' Refer to the Pre-installation Planning Guide for Cisco Unified ICM Enterprise andHosted for information about the Signaling Access Network and ICM communicationsnetwork configurations.<br>  
+
'''Note:''' Refer to the Pre-installation Planning Guide for Cisco Unified ICM Enterprise andHosted for information about the Signaling Access Network and ICM communicationsnetwork configurations.<br>
== ICM-to-ICM Gateway Client and Server Release Requirements  ==
== ICM-to-ICM Gateway Client and Server Release Requirements  ==
Line 349: Line 349:
|}
|}
-
<br>  
+
<br>
-
<br>  
+
<br>
----
----
Line 357: Line 357:
----
----
-
<br>  
+
<br>
{| class="wikitable" border="1"
{| class="wikitable" border="1"
Line 364: Line 364:
|}
|}
-
<br>  
+
<br>
[[Category:Unified_Contact_Center_Enterprise]]
[[Category:Unified_Contact_Center_Enterprise]]

Revision as of 14:31, 16 November 2011

Go to: Guidelines to Edit the Compatibility Matrix for Unified CCE

Go to: Category:Unified Contact Center Enterprise



Introduction

If you want to ask a question, post a comment, or discuss an issue regarding content on this wiki space:

  1. Log in.
  2. Navigate to the article in question.
  3. Click the Discussion tab at the top of the page.
  4. Edit the Discussion page as described above under Editing.
  5. To start a different thread under a new subheading on the Discussion page, click the + tab at the top of the page instead of the Edit tab.


If you want to be notified of changes to this wiki space:

  1. Log in.
  2. Click the watch tab at the top of the page.


Information will be added and updated on a regular basis, with an emphasis on applying, expanding, and clarifying the content.

Navigation

The following list contains compatibility information for specific versions of Cisco Unified Contact Center Enterprise (Unified CCE or CCE). Click the required link. For general compatibility information that applies across all versions of CCE, see additional information later in this page.




Contents

General Compatibility information for CCE

The following sections contain compatibility information that applies to all versions of CCE.

For Information on
Scope/Further Reading
Unified CCE Compatibility with Service/Maintenance Releases Except where specifically noted otherwise (in the tables below), Unified CCE supports all service/maintenance releases for compatible component versions. Cisco recommends that you run the latest available service/maintenance releases for Unified CCE components. For more information on the Unified CCE software maintenance strategy, see the Software Release and Support Methodology: ICM/IPCC.
Component Versions Supported During Upgrade This document lists component versions supported for new installs and full upgrades. It does not list component versions that may be temporarily supported during an upgrade period. Consult the Upgrade Guide for ICM and CTI OS for Cisco Unified Contact Center Enterprise for your Unified CCE version for a list of any additional component versions supported during upgrade.
OS and Third-Party Software Compatibility
To verify operating system, database, and third-party software (that is, anti-virus, Web browser, remote administration) compatibility, consult the Hardware & System Software Specification (Bill of Materials) for Cisco Unified ICM/Contact Center Enterprise & Hosted specific to your Unified CCE version.
Unified CCE Component End of Life Notices
Find out when a Cisco product has reached its End of Life and what product upgrade and substitution options.

Because this guide lists component versions until they reach last-date-of-support (the final stage in the end-of-life process) some of the component versions listed herein may have reached end-of-sale or end-of-software-maintenance-release.


General Compatibility Notes and Limitations

Component Notes
Phones The following general limitations pertain to IP phones used with Unified CCE Enterprise deployments:
  • Third-party SIP phones are not supported as contact center agent phones. The SIP standard does not include the necessary messaging for third-party Call Control (3PCC). Unified CCE relies on CTI capabilities on the SIP phones that third-party phones do not have. As an alternative, you may choose to deploy the Mobile Agent solution to enable Cisco Unified CCE and Contact Center Hosted (CCH) to use any phone as an agent phone. Please consult with your Cisco Sales Engineer for additional detail on this configuration.
  • IP Communicator is not supported with Cisco Agent Desktop (CAD) IP Phone Agent.
  • See the Cisco Unified Communications Manager Compatibility Guide for SIP and other phone protocol support.
System Peripheral Gateway (PG) Deployments The following general limitations pertain to Unified CCE deployments that use the System PG:


Unified CCE Parent / Child Compatibility

Release
Parent 7.0(x) Parent 7.1(x) Parent 7.2(x) Parent 7.5(x) Parent 8.0(x) Parent 8.5(x)
Child 7.0(x) Yes
Yes
No
No
No
No
Child 7.1(x) Yes
Yes
Yes
No
No
No
Child 7.2(x) No
Yes
Yes
Yes
Yes
 No
Child 7.5(x) No
No
Yes
Yes
Yes
Yes
Child 8.0(x) No
No
Yes
Yes
Yes
Yes
Child 8.5(x) No
No
No
Yes
Yes
Yes


Central Controller Backward Compatibility

CentralController PG PG + CAD
8.5 8.0 8.0
8.5 7.5 7.5
8.0 7.5 7.5
8.0 7.2 7.2
8.0 7.1
7.5 7.2 7.2
7.5 7.1


Note: Backward compatible PGs are intended to be supported during the transition when you upgrade the Central Controller and PGs to the same version.

VXI Support

Cisco Client Type Version Virtual Desktop Infrastructure OS Compatibility Cisco VXI Clients
CTI-OS Clients (All CILs) 8.0(1) or 8.5(1) VMWare View 3.0 Windows 7 32 bit - Supported
Windows 7 WoW64 - Unsupported
Windows XP 32 bit - Supported
VXC 2100 - N/A
VXC 2200 - N/A
VXC 2111 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971
VXC 2211 - Supported
CTI-OS Clients (All CILs) 8.0(1) or 8.5(1) Citrix XenDesktop 5.0 or 6.0 Windows 7 32 bit - Supported
Windows 7 WoW64 - Unsupported
Win XP 32 Bit - Supported
VXC 2100 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971
VXC 2200 - Supported
VXC 2111 - N/A
VXC 2211 - N/A
CTI-OS Clients (All CILs) 8.5(2) VMWare View 3.0 Windows 7 32 bit - Supported
Windows 7 WoW64 - Supported
Windows XP 32 bit - Supported
VXC 2100 - N/A
VXC 2200 - N/A
VXC 2111 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971
VXC 2211 - Supported
CTI-OS Clients (All CILs) 8.5(2) Citrix XenDesktop 5.0 or 6.0 Windows 7 32 bit - Supported
Windows 7 WoW64 - Supported
Windows XP 32 bit - Supported
VXC 2100 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971
VXC 2200 - Supported
VXC 2111 - N/A
VXC 2211 - N/A
Cisco Agent Desktop (CAD) All Not Supported Not Supported Not Supported


Application Virtualization

Cisco Client Version Version Citrix/XenApp Remote Desktop Services platform
CTI-OS Clients (All CILs) 8.0(1) or 8.5(x) XenApp 5.0 Windows Server 2008 R2 (SP1)

Note:

  • UCM Silent Monitoring is the only type of Silent Monitoring that is supported with VXI/VDI.
  • Desktop solutions are supported on PC-like devices only that utilize a keyboard and mouse (no tablets or mobile devices supported at this time).
  • For information about CAD wih thin client and virtual desktop environments, see the Integrating CAD with Thin Client and Virtual Desktop Environments document.


Siebel Compatibility

Note Note: The Siebel Driver and CTIOS Server versions should be the same.


Cisco Siebel Driver
Siebel Release
8.5(x) 8.0(x)
8.0(x) 8.0(x)
7.5(x) 8.0(x)
7.2(x) 7.8(x)
7.1(x) 7.8(x)
7.0(x) 7.8(x)
6.0(x) 7.7(x)


ICM-to-ICM Gateway Requirements


The following are system requirements for ICM-to-ICM Gateway.

  • Both Client ICM and Server ICM must be supported releases of Unified ICME, and must bewithin one major version. If two connected ICMs are running with different releases ofUnified ICME, only the ICM-to-ICM Gateway features supported by the lowest release areavailable.
  • Refer to the ICM-to-ICM Gateway Client and Server Release Requirements table below for additional information.

Note: A supported release includes “extended support releases”. For example, as of June2008, 7.1 (5) and 7.2(7) are considered as “extended support releases” that are within a minorversion of each other.

  • An ICM communication network configuration that can support ICM-to-ICM Gateway. TheSignaling Access Network (SAN)/Public network is strongly recommended.

Note: Refer to the Pre-installation Planning Guide for Cisco Unified ICM Enterprise andHosted for information about the Signaling Access Network and ICM communicationsnetwork configurations.

ICM-to-ICM Gateway Client and Server Release Requirements

Client/Server 1 Client/Server 2 Comments
6.0 7.0, 7.1, 7.2 ICM 6.0 has reached End of Life and End of Support. ICM6.0 is mentioned here only to provide the available upgradepaths.
7.0, 7.1, 7.2 7.5 ICM 7.0, 7.1 and 7.2 are End of Life and End of Support.They are mentioned here only to provide the available upgradepaths.
7.5, 8.0 7.5, 8.0 UCCE 8.0(1) is a major release.






Back to: Category:Unified Contact Center Enterprise


Rating: 4.3/5 (7 votes cast)

Personal tools